Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
libplist compile error (gelöst)
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
SvenFischer
Veteran
Veteran


Joined: 05 Feb 2003
Posts: 1033
Location: Berlin

PostPosted: Wed Nov 10, 2010 7:54 pm    Post subject: libplist compile error (gelöst) Reply with quote

Hi,

hat jemand eine Idee, ich nämlich leider nicht:

Code:

>>> Emerging (7 of 15) app-pda/libplist-1.3
 * libplist-1.3.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...                  [ ok ]
 * checking ebuild checksums ;-) ...                                     [ ok ]
 * checking auxfile checksums ;-) ...                                    [ ok ]
 * checking miscfile checksums ;-) ...                                   [ ok ]
 * CPV:  app-pda/libplist-1.3
 * REPO: gentoo
 * USE:  amd64 elibc_glibc kernel_linux multilib userland_GNU
>>> Unpacking source...
>>> Unpacking libplist-1.3.tar.bz2 to /var/tmp/portage/app-pda/libplist-1.3/work
>>> Source unpacked in /var/tmp/portage/app-pda/libplist-1.3/work
>>> Preparing source in /var/tmp/portage/app-pda/libplist-1.3/work/libplist-1.3 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/app-pda/libplist-1.3/work/libplist-1.3 ...
>>> Working in BUILD_DIR: "/var/tmp/portage/app-pda/libplist-1.3/work/libplist-1.3_build"
cmake -C /var/tmp/portage/app-pda/libplist-1.3/temp/gentoo_common_config.cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_SKIP_RPATH=ON -DCMAKE_INSTALL_LIBDIR=lib64 -DPYTHON_VERSION=3.1 VERBOSE=1 -DCMAKE_BUILD_TYPE=Gentoo -DCMAKE_INSTALL_DO_STRIP=OFF -DCMAKE_USER_MAKE_RULES_OVERRIDE=/var/tmp/portage/app-pda/libplist-1.3/temp/gentoo_rules.cmake  /var/tmp/portage/app-pda/libplist-1.3/work/libplist-1.3
loading initial cache file /var/tmp/portage/app-pda/libplist-1.3/temp/gentoo_common_config.cmake
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- checking for module 'libxml-2.0'
--   found libxml-2.0, version 2.7.7
-- Found LibXml2: /usr/lib64/libxml2.so
-- checking for module 'glib-2.0'
--   found glib-2.0, version 2.24.1
-- Found GLIB2: /usr/lib64/libglib-2.0.so
-- Found PythonInterp: /usr/bin/python
-- Found PythonLibs: /usr/lib64/libpython3.1.so
CMake Error at swig/CMakeLists.txt:16 (INSTALL):
  install FILES given unknown argument " print
  distutils.sysconfig.get_python_lib(plat_specific=1)

                                                ^

  SyntaxError: invalid syntax/plist/".


CMake Error at swig/CMakeLists.txt:18 (INSTALL):
  install FILES given unknown argument " print
  distutils.sysconfig.get_python_lib(plat_specific=1)

                                                ^

  SyntaxError: invalid syntax/plist/".


CMake Error at swig/CMakeLists.txt:20 (INSTALL):
  install FILES given unknown argument " print
  distutils.sysconfig.get_python_lib(plat_specific=1)

                                                ^

  SyntaxError: invalid syntax/plist/".

_________________
Core2Duo, 4GB RAM, AMD/ATI 4850 and nice person in front!


Last edited by SvenFischer on Tue Dec 28, 2010 5:28 pm; edited 1 time in total
Back to top
View user's profile Send private message
keba
Guru
Guru


Joined: 02 Jun 2006
Posts: 328
Location: Switzerland

PostPosted: Tue Dec 28, 2010 2:26 pm    Post subject: Reply with quote

Ich habe dasslbe problem. Es wäre evtl. besser das auf english zu posten...
_________________
Prayer can change the world!
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3626
Location: Germany

PostPosted: Tue Dec 28, 2010 3:18 pm    Post subject: Reply with quote

SvenFischer wrote:
Code:
-- Found PythonInterp: /usr/bin/python
-- Found PythonLibs: /usr/lib64/libpython3.1.so
CMake Error at swig/CMakeLists.txt:16 (INSTALL):
Nur ein Schuss ins Blaue:
Hast du eventuell python3.1 als Main active Version gesetzt? --> siehe "eselect python list"

Hier würde es mit python2.7 korrekt fertig bauen

/edit: Würde hier dann so ausschauen
Code:
-- Found PythonInterp: /usr/bin/python
-- Found PythonLibs: /usr/lib64/libpython2.7.so
-- <<< Gentoo configuration >>>
...
Back to top
View user's profile Send private message
keba
Guru
Guru


Joined: 02 Jun 2006
Posts: 328
Location: Switzerland

PostPosted: Tue Dec 28, 2010 3:31 pm    Post subject: Reply with quote

Ja hatte ich. Danke. Eigenartig, weil ich hatte ursprünglich die 2.6 als Standard... Wahrscheinlich wurde das bei einem Update aus Versehen geändert.
_________________
Prayer can change the world!
Back to top
View user's profile Send private message
SvenFischer
Veteran
Veteran


Joined: 05 Feb 2003
Posts: 1033
Location: Berlin

PostPosted: Tue Dec 28, 2010 5:28 pm    Post subject: Reply with quote

Vielen Dank, ENDLICH habe ich diesen nervigen Fehler beseitigen können...

Lösung:

Quote:

eselect python set python2.6

emerge libplist

eselect python set python3.1

_________________
Core2Duo, 4GB RAM, AMD/ATI 4850 and nice person in front!
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3626
Location: Germany

PostPosted: Tue Dec 28, 2010 7:21 pm    Post subject: Reply with quote

Na prima...
Doch ich würde python3.1 noch nicht als main active Version setzen, denn es gibt ja noch so einige Pakete die noch nicht auf python3 umgestellt sind.

Siehe hierzu auch die letzte Gentoo News Mitteilung zu python3.1
Quote:
2010-03-25-python-3.1
Title Python 3.1
Author Arfrever Frehtes Taifersar Arahesis <Arfrever@gentoo.org>
Posted 2010-03-25
Revision 1

Python 3 is a new major version of Python and is intentionally incompatible
with Python 2. Many external modules have not been ported yet to Python 3,
so Python 2 still needs to be installed. You can benefit from having Python 3
installed without setting Python 3.1 as main active version of Python.
Currently you should not set Python 3.1 as main active version of Python.
When setting it becomes recommended, a separate news item will be created
to notify users.

Although Python 3.1 should not be set as main active version of Python,
you should run python-updater after installation of Python 3.1. By default,
modules that support both Python 2 and Python 3 are installed for both
the active version of Python 2 and the active version of Python 3 when both
Python 2 and Python 3 are installed.

It is recommended to use a UTF-8 locale to avoid potential problems. Especially
C and POSIX locales are discouraged. If locale has not been explicitly set,
then POSIX locale is used, so you should ensure that locale has been set.
Problems occurring only with non-UTF-8 locales should be reported directly
to upstream developers of given packages.
See http://www.gentoo.org/doc/en/utf-8.xml for more information about UTF-8.
AFAIK gab es hier noch keine Änderung, daher würde ich z.Z.t. als default noch weiterhin auf python2 setzen.
Back to top
View user's profile Send private message
clsid
n00b
n00b


Joined: 25 Mar 2011
Posts: 1

PostPosted: Sat Mar 26, 2011 12:30 am    Post subject: Reply with quote

I had the same problem and switching to Python 2.6 in my case solved the issue. Thank you very much. Sorry for my reply in english but I do not know german.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum